﻿@model IEnumerable<crm.Domain.Entity.Post>

@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_FrontLayout.cshtml";
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Index</title>
</head>
<body>
    <p>
        @Html.ActionLink("Create New", "Create")
    </p>


    @using (Html.BeginForm())
    {     <table>
        <tr>
            <td>
                <div>
                    Search by body content: @Html.TextBox("searchString")

                </div>
            </td>
            <td>                 <input type="submit" value="Search" id="submit" />             </td>
        </tr>
    </table> } 
    <br />
    <br />
    <br />
   
    
    @foreach (var item in Model) {
        <div class="col-log-4 col-sm-6 mb-4">
            <div class="card">
                <div class="card-img-wrapper overlay-rounded-top">
                    <img class="card-img-top" src="" />
              Title:      @Html.DisplayFor(modelItem => item.Title)
                </div>
                <div class="card-body p-0">
                    <div class="d-flex">
                        <div class="py-3 px-4 border-right text-center">
                            <h3 class="text-primary mb-0"></h3>
                            <p class="mb-0"></p>
                        </div>
                Body:        @Html.DisplayFor(modelItem => item.body)<br />
                        <br />
                        <br />
                        <div class="py-3 px-4 border-right"> Likes:   @Html.DisplayFor(modelItem => item.likes) </div>
                        
                    </div>
                </div>
            </div>
            <div>@Html.ActionLink("Edit", "Edit", new { id = item.id }) |
            @Html.ActionLink("Details", "Details", new { id = item.id }) |
            @Html.ActionLink("Delete", "Delete", new { id = item.id })</div>
        </div>
        
           
                
         
    }
    
    
</body>
</html>
